import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class MakerContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    makerCdpManager({ address, network }: ContractOpts): import("./ethers").MakerCdpManager;
    makerGemJoin({ address, network }: ContractOpts): import("./ethers").MakerGemJoin;
    makerGovernance({ address, network }: ContractOpts): import("./ethers").MakerGovernance;
    makerIlkRegistry({ address, network }: ContractOpts): import("./ethers").MakerIlkRegistry;
    makerProxyRegistry({ address, network }: ContractOpts): import("./ethers").MakerProxyRegistry;
    makerVat({ address, network }: ContractOpts): import("./ethers").MakerVat;
}
export type { MakerCdpManager } from './ethers';
export type { MakerGemJoin } from './ethers';
export type { MakerGovernance } from './ethers';
export type { MakerIlkRegistry } from './ethers';
export type { MakerProxyRegistry } from './ethers';
export type { MakerVat } from './ethers';
